##### Credits

# ===== Anime Game Remap (AG Remap) =====
# Authors: Albert Gold#2696, NK#1321
#
# if you used it to remap your mods pls give credit for "Albert Gold#2696" and "Nhok0169"
# Special Thanks:
#   nguen#2011 (for support)
#   SilentNightSound#7430 (for internal knowdege so wrote the blendCorrection code)
#   HazrateGolabi#1364 (for being awesome, and improving the code)

##### EndCredits

##### LocalImports
from ..constants.ModTypeNames import ModTypeNames
from ..constants.IniConsts import IniKeywords
from ..tools.files.FileDownload import FileDownload
from ..model.DownloadData import DownloadData, BlendDownloadData
from .TexcoordByteSizeData import TexcoordByteSizeData
##### EndLocalImports


##### Script
GithubDownloadFolder = r"https://github.com/nhok0169/Anime-Game-Remap/raw/nhok0169/Data/Mod%20Downloads"

FileDownloadData = {
    4.0: {ModTypeNames.Amber.value: {"head": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Amber/4_0/AmberHeadDiffuse.dds", f"AmberHeadDiffuse{IniKeywords.RemapDL.value}.dds")),
                                              "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Amber/4_0/AmberHeadLightMap.dds", f"AmberHeadLightMap{IniKeywords.RemapDL.value}.dds")),
                                              IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Amber/4_0/AmberHead.ib", f"AmberHead{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                     "body": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Amber/4_0/AmberBodyDiffuse.dds", f"AmberBodyDiffuse{IniKeywords.RemapDL.value}.dds")),
                                              "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Amber/4_0/AmberBodyLightMap.dds", f"AmberBodyLightMap{IniKeywords.RemapDL.value}.dds")),
                                              IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Amber/4_0/AmberBody.ib", f"AmberBody{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                     IniKeywords.Blend.value: {IniKeywords.Vb1.value: BlendDownloadData("Blend", FileDownload(f"{GithubDownloadFolder}/GI/Amber/4_0/AmberBlend.buf", f"AmberBlend{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "32"})},
                                     IniKeywords.Position.value: {IniKeywords.Vb0.value: DownloadData("Position", FileDownload(f"{GithubDownloadFolder}/GI/Amber/4_0/AmberPosition.buf", f"AmberPosition{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "40"})},
                                     IniKeywords.Texcoord.value: {IniKeywords.Vb1.value: DownloadData("Texcoord", FileDownload(f"{GithubDownloadFolder}/GI/Amber/4_0/AmberTexcoord.buf", f"AmberTexcoord{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": f"{TexcoordByteSizeData[4.0][ModTypeNames.Amber.value]}"})}},
          ModTypeNames.AmberCN.value: {"head": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/AmberCN/4_0/AmberCNHeadDiffuse.dds", f"AmberCNHeadDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/AmberCN/4_0/AmberCNHeadLightMap.dds", f"AmberCNHeadLightMap{IniKeywords.RemapDL.value}.dds")),
                                                IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/AmberCN/4_0/AmberCNHead.ib", f"AmberCNHead{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                       "body": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/AmberCN/4_0/AmberCNBodyDiffuse.dds", f"AmberCNBodyDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/AmberCN/4_0/AmberCNBodyLightMap.dds", f"AmberCNBodyLightMap{IniKeywords.RemapDL.value}.dds")),
                                                IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/AmberCN/4_0/AmberCNBody.ib", f"AmberCNBody{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                        IniKeywords.Blend.value: {IniKeywords.Vb1.value: BlendDownloadData("Blend", FileDownload(f"{GithubDownloadFolder}/GI/AmberCN/4_0/AmberCNBlend.buf", f"AmberCNBlend{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "32"})},
                                        IniKeywords.Position.value: {IniKeywords.Vb0.value: DownloadData("Position", FileDownload(f"{GithubDownloadFolder}/GI/AmberCN/4_0/AmberCNPosition.buf", f"AmberCNPosition{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "40"})},
                                        IniKeywords.Texcoord.value: {IniKeywords.Vb1.value: DownloadData("Texcoord", FileDownload(f"{GithubDownloadFolder}/GI/AmberCN/4_0/AmberCNTexcoord.buf", f"AmberCNTexcoord{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": f"{TexcoordByteSizeData[4.0][ModTypeNames.AmberCN.value]}"})}},
          ModTypeNames.Ayaka.value: {"head": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Ayaka/4_0/AyakaHeadDiffuse.dds", f"AyakaHeadDiffuse{IniKeywords.RemapDL.value}.dds")),
                                              "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Ayaka/4_0/AyakaHeadLightMap.dds", f"AyakaHeadLightMap{IniKeywords.RemapDL.value}.dds")),
                                              IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Ayaka/4_0/AyakaHead.ib", f"AyakaHead{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                     "body": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Ayaka/4_0/AyakaBodyDiffuse.dds", f"AyakaBodyDiffuse{IniKeywords.RemapDL.value}.dds")),
                                              "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Ayaka/4_0/AyakaBodyLightMap.dds", f"AyakaBodyLightMap{IniKeywords.RemapDL.value}.dds")),
                                              IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Ayaka/4_0/AyakaBody.ib", f"AyakaBody{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                     "dress": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Ayaka/4_0/AyakaDressDiffuse.dds", f"AyakaDressDiffuse{IniKeywords.RemapDL.value}.dds")),
                                               "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Ayaka/4_0/AyakaDressLightMap.dds", f"AyakaDressLightMap{IniKeywords.RemapDL.value}.dds")),
                                               IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Ayaka/4_0/AyakaDress.ib", f"AyakaDress{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                     IniKeywords.Blend.value: {IniKeywords.Vb1.value: BlendDownloadData("Blend", FileDownload(f"{GithubDownloadFolder}/GI/Ayaka/4_0/AyakaBlend.buf", f"AyakaBlend{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "32"})},
                                     IniKeywords.Position.value: {IniKeywords.Vb0.value: DownloadData("Position", FileDownload(f"{GithubDownloadFolder}/GI/Ayaka/4_0/AyakaPosition.buf", f"AyakaPosition{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "40"})},
                                     IniKeywords.Texcoord.value: {IniKeywords.Vb1.value: DownloadData("Texcoord", FileDownload(f"{GithubDownloadFolder}/GI/Ayaka/4_0/AyakaTexcoord.buf", f"AyakaTexcoord{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": f"{TexcoordByteSizeData[4.0][ModTypeNames.Ayaka.value]}"})}},
          ModTypeNames.AyakaSpringbloom.value: {"head": {"ps-t1": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/AyakaSpringbloom/4_0/AyakaSpringBloomHeadDiffuse.dds", f"AyakaSpringBloomHeadDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                         "ps-t2": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/AyakaSpringbloom/4_0/AyakaSpringBloomHeadLightMap.dds", f"AyakaSpringBloomHeadLightMap{IniKeywords.RemapDL.value}.dds")),
                                                         IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/AyakaSpringbloom/4_0/AyakaSpringBloomHead.ib", f"AyakaSpringBloomHead{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                                "body": {"ps-t1": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/AyakaSpringbloom/4_0/AyakaSpringBloomBodyDiffuse.dds", f"AyakaSpringBloomBodyDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                         "ps-t2": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/AyakaSpringbloom/4_0/AyakaSpringBloomBodyLightMap.dds", f"AyakaSpringBloomBodyLightMap{IniKeywords.RemapDL.value}.dds")),
                                                         IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/AyakaSpringbloom/4_0/AyakaSpringBloomBody.ib", f"AyakaSpringBloomBody{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                                "dress": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/AyakaSpringbloom/4_0/AyakaSpringBloomDressDiffuse.dds", f"AyakaSpringBloomDressDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                          "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/AyakaSpringbloom/4_0/AyakaSpringBloomDressLightMap.dds", f"AyakaSpringBloomDressLightMap{IniKeywords.RemapDL.value}.dds")),
                                                          IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/AyakaSpringbloom/4_0/AyakaSpringBloomDress.ib", f"AyakaSpringBloomDress{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                                IniKeywords.Blend.value: {IniKeywords.Vb1.value: BlendDownloadData("Blend", FileDownload(f"{GithubDownloadFolder}/GI/AyakaSpringbloom/4_0/AyakaSpringBloomBlend.buf", f"AyakaSpringBloomBlend{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "32"})},
                                                IniKeywords.Position.value: {IniKeywords.Vb0.value: DownloadData("Position", FileDownload(f"{GithubDownloadFolder}/GI/AyakaSpringbloom/4_0/AyakaSpringBloomPosition.buf", f"AyakaSpringBloomPosition{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "40"})},
                                                IniKeywords.Texcoord.value: {IniKeywords.Vb1.value: DownloadData("Texcoord", FileDownload(f"{GithubDownloadFolder}/GI/AyakaSpringbloom/4_0/AyakaSpringBloomTexcoord.buf", f"AyakaSpringBloomTexcoord{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": f"{TexcoordByteSizeData[4.0][ModTypeNames.AyakaSpringbloom.value]}"})}},
          ModTypeNames.Barbara.value: {"head": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Barbara/4_0/BarbaraHeadDiffuse.dds", f"BarbaraHeadDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Barbara/4_0/BarbaraHeadLightMap.dds", f"BarbaraHeadLightMap{IniKeywords.RemapDL.value}.dds")),
                                                IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Barbara/4_0/BarbaraHead.ib", f"BarbaraHead{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                       "body": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Barbara/4_0/BarbaraBodyDiffuse.dds", f"BarbaraBodyDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Barbara/4_0/BarbaraBodyLightMap.dds", f"BarbaraBodyLightMap{IniKeywords.RemapDL.value}.dds")),
                                                IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Barbara/4_0/BarbaraBody.ib", f"BarbaraBody{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                       "dress": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Barbara/4_0/BarbaraDressDiffuse.dds", f"BarbaraDressDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                 "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Barbara/4_0/BarbaraDressLightMap.dds", f"BarbaraDressLightMap{IniKeywords.RemapDL.value}.dds")),
                                                 IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Barbara/4_0/BarbaraDress.ib", f"BarbaraDress{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                        IniKeywords.Blend.value: {IniKeywords.Vb1.value: BlendDownloadData("Blend", FileDownload(f"{GithubDownloadFolder}/GI/Barbara/4_0/BarbaraBlend.buf", f"BarbaraBlend{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "32"})},
                                        IniKeywords.Position.value: {IniKeywords.Vb0.value: DownloadData("Position", FileDownload(f"{GithubDownloadFolder}/GI/Barbara/4_0/BarbaraPosition.buf", f"BarbaraPosition{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "40"})},
                                        IniKeywords.Texcoord.value: {IniKeywords.Vb1.value: DownloadData("Texcoord", FileDownload(f"{GithubDownloadFolder}/GI/Barbara/4_0/BarbaraTexcoord.buf", f"BarbaraTexcoord{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": f"{TexcoordByteSizeData[4.0][ModTypeNames.Barbara.value]}"})}},
          ModTypeNames.BarbaraSummertime.value: {"head": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/BarbaraSummertime/4_0/BarbaraSummertimeHeadDiffuse.dds", f"BarbaraSummertimeHeadDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                          "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/BarbaraSummertime/4_0/BarbaraSummertimeHeadLightMap.dds", f"BarbaraSummertimeHeadLightMap{IniKeywords.RemapDL.value}.dds")),
                                                          IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/BarbaraSummertime/4_0/BarbaraSummertimeHead.ib", f"BarbaraSummertimeHead{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                                 "body": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/BarbaraSummertime/4_0/BarbaraSummertimeBodyDiffuse.dds", f"BarbaraSummertimeBodyDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                          "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/BarbaraSummertime/4_0/BarbaraSummertimeBodyLightMap.dds", f"BarbaraSummertimeBodyLightMap{IniKeywords.RemapDL.value}.dds")),
                                                          IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/BarbaraSummertime/4_0/BarbaraSummertimeBody.ib", f"BarbaraSummertimeBody{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                                 "dress": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/BarbaraSummertime/4_0/BarbaraSummertimeDressDiffuse.dds", f"BarbaraSummertimeDressDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                           "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/BarbaraSummertime/4_0/BarbaraSummertimeDressLightMap.dds", f"BarbaraSummertimeDressLightMap{IniKeywords.RemapDL.value}.dds")),
                                                           IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/BarbaraSummertime/4_0/BarbaraSummertimeDress.ib", f"BarbaraSummertimeDress{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                                 IniKeywords.Blend.value: {IniKeywords.Vb1.value: BlendDownloadData("Blend", FileDownload(f"{GithubDownloadFolder}/GI/BarbaraSummertime/4_0/BarbaraSummertimeBlend.buf", f"BarbaraSummertimeBlend{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "32"})},
                                                 IniKeywords.Position.value: {IniKeywords.Vb0.value: DownloadData("Position", FileDownload(f"{GithubDownloadFolder}/GI/BarbaraSummertime/4_0/BarbaraSummertimePosition.buf", f"BarbaraSummertimePosition{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "40"})},
                                                 IniKeywords.Texcoord.value: {IniKeywords.Vb1.value: DownloadData("Texcoord", FileDownload(f"{GithubDownloadFolder}/GI/BarbaraSummertime/4_0/BarbaraSummertimeTexcoord.buf", f"BarbaraSummertimeTexcoord{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": f"{TexcoordByteSizeData[4.0][ModTypeNames.BarbaraSummertime.value]}"})}},                                       
          ModTypeNames.Diluc.value: {"head": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Diluc/4_0/DilucHeadDiffuse.dds", f"DilucHeadDiffuse{IniKeywords.RemapDL.value}.dds")),
                                              "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Diluc/4_0/DilucHeadLightMap.dds", f"DilucHeadLightMap{IniKeywords.RemapDL.value}.dds")),
                                              IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Diluc/4_0/DilucHead.ib", f"DilucHead{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                     "body": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Diluc/4_0/DilucBodyDiffuse.dds", f"DilucBodyDiffuse{IniKeywords.RemapDL.value}.dds")),
                                              "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Diluc/4_0/DilucBodyLightMap.dds", f"DilucBodyLightMap{IniKeywords.RemapDL.value}.dds")),
                                              IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Diluc/4_0/DilucBody.ib", f"DilucBody{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                     IniKeywords.Blend.value: {IniKeywords.Vb1.value: BlendDownloadData("Blend", FileDownload(f"{GithubDownloadFolder}/GI/Diluc/4_0/DilucBlend.buf", f"DilucBlend{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "32"})},
                                     IniKeywords.Position.value: {IniKeywords.Vb0.value: DownloadData("Position", FileDownload(f"{GithubDownloadFolder}/GI/Diluc/4_0/DilucPosition.buf", f"DilucPosition{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "40"})},
                                     IniKeywords.Texcoord.value: {IniKeywords.Vb1.value: DownloadData("Texcoord", FileDownload(f"{GithubDownloadFolder}/GI/Diluc/4_0/DilucTexcoord.buf", f"DilucTexcoord{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": f"{TexcoordByteSizeData[4.0][ModTypeNames.Diluc.value]}"})}},
          ModTypeNames.DilucFlamme.value: {"head": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/DilucFlamme/4_0/DilucFlammeHeadDiffuse.dds", f"DilucFlammeHeadDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                    "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/DilucFlamme/4_0/DilucFlammeHeadLightMap.dds", f"DilucFlammeHeadLightMap{IniKeywords.RemapDL.value}.dds")),
                                                    IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/DilucFlamme/4_0/DilucFlammeHead.ib", f"DilucFlammeHead{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                           "body": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/DilucFlamme/4_0/DilucFlammeBodyDiffuse.dds", f"DilucFlammeBodyDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                    "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/DilucFlamme/4_0/DilucFlammeBodyLightMap.dds", f"DilucFlammeBodyLightMap{IniKeywords.RemapDL.value}.dds")),
                                                    IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/DilucFlamme/4_0/DilucFlammeBody.ib", f"DilucFlammeBody{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                           "dress": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/DilucFlamme/4_0/DilucFlammeDressDiffuse.dds", f"DilucFlammeDressDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                     "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/DilucFlamme/4_0/DilucFlammeDressLightMap.dds", f"DilucFlammeDressLightMap{IniKeywords.RemapDL.value}.dds")),
                                                     IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/DilucFlamme/4_0/DilucFlammeDress.ib", f"DilucFlammeDress{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                           IniKeywords.Blend.value: {IniKeywords.Vb1.value: BlendDownloadData("Blend", FileDownload(f"{GithubDownloadFolder}/GI/DilucFlamme/4_0/DilucFlammeBlend.buf", f"DilucFlammeBlend{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "32"})},
                                           IniKeywords.Position.value: {IniKeywords.Vb0.value: DownloadData("Position", FileDownload(f"{GithubDownloadFolder}/GI/DilucFlamme/4_0/DilucFlammePosition.buf", f"DilucFlammePosition{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "40"})},
                                           IniKeywords.Texcoord.value: {IniKeywords.Vb1.value: DownloadData("Texcoord", FileDownload(f"{GithubDownloadFolder}/GI/DilucFlamme/4_0/DilucFlammeTexcoord.buf", f"DilucFlammeTexcoord{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": f"{TexcoordByteSizeData[4.0][ModTypeNames.DilucFlamme.value]}"})}},
          ModTypeNames.Fischl.value: {"head": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Fischl/4_0/FischlHeadDiffuse.dds", f"FischlHeadDiffuse{IniKeywords.RemapDL.value}.dds")),
                                               "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Fischl/4_0/FischlHeadLightMap.dds", f"FischlHeadLightMap{IniKeywords.RemapDL.value}.dds")),
                                               IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Fischl/4_0/FischlHead.ib", f"FischlHead{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                      "body": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Fischl/4_0/FischlBodyDiffuse.dds", f"FischlBodyDiffuse{IniKeywords.RemapDL.value}.dds")),
                                              "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Fischl/4_0/FischlBodyLightMap.dds", f"FischlBodyLightMap{IniKeywords.RemapDL.value}.dds")),
                                              IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Fischl/4_0/FischlBody.ib", f"FischlBody{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                      "dress": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Fischl/4_0/FischlDressDiffuse.dds", f"FischlDressDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Fischl/4_0/FischlDressLightMap.dds", f"FischlDressLightMap{IniKeywords.RemapDL.value}.dds")),
                                                IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Fischl/4_0/FischlDress.ib", f"FischlDress{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                      IniKeywords.Blend.value: {IniKeywords.Vb1.value: BlendDownloadData("Blend", FileDownload(f"{GithubDownloadFolder}/GI/Fischl/4_0/FischlBlend.buf", f"FischlBlend{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "32"})},
                                      IniKeywords.Position.value: {IniKeywords.Vb0.value: DownloadData("Position", FileDownload(f"{GithubDownloadFolder}/GI/Fischl/4_0/FischlPosition.buf", f"FischlPosition{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "40"})},
                                      IniKeywords.Texcoord.value: {IniKeywords.Vb1.value: DownloadData("Texcoord", FileDownload(f"{GithubDownloadFolder}/GI/Fischl/4_0/FischlTexcoord.buf", f"FischlTexcoord{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": f"{TexcoordByteSizeData[4.0][ModTypeNames.Fischl.value]}"})}},
          ModTypeNames.FischlHighness.value: {"head": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/FischlHighness/4_0/FischlHighnessHeadDiffuse.dds", f"FischlHighnessHeadDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                       "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/FischlHighness/4_0/FischlHighnessHeadLightMap.dds", f"FischlHighnessHeadLightMap{IniKeywords.RemapDL.value}.dds")),
                                                       IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/FischlHighness/4_0/FischlHighnessHead.ib", f"FischlHighnessHead{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                              "body": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/FischlHighness/4_0/FischlHighnessBodyDiffuse.dds", f"FischlHighnessBodyDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                       "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/FischlHighness/4_0/FischlHighnessBodyLightMap.dds", f"FischlHighnessBodyLightMap{IniKeywords.RemapDL.value}.dds")),
                                                       IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/FischlHighness/4_0/FischlHighnessBody.ib", f"FischlHighnessBody{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                              IniKeywords.Blend.value: {IniKeywords.Vb1.value: BlendDownloadData("Blend", FileDownload(f"{GithubDownloadFolder}/GI/FischlHighness/4_0/FischlHighnessBlend.buf", f"FischlHighnessBlend{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "32"})},
                                              IniKeywords.Position.value: {IniKeywords.Vb0.value: DownloadData("Position", FileDownload(f"{GithubDownloadFolder}/GI/FischlHighness/4_0/FischlHighnessPosition.buf", f"FischlHighnessPosition{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "40"})},
                                              IniKeywords.Texcoord.value: {IniKeywords.Vb1.value: DownloadData("Texcoord", FileDownload(f"{GithubDownloadFolder}/GI/FischlHighness/4_0/FischlHighnessTexcoord.buf", f"FischlHighnessTexcoord{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": f"{TexcoordByteSizeData[4.0][ModTypeNames.FischlHighness.value]}"})}},
          ModTypeNames.Ganyu.value: {"head": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Ganyu/4_0/GanyuHeadDiffuse.dds", f"GanyuHeadDiffuse{IniKeywords.RemapDL.value}.dds")),
                                              "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Ganyu/4_0/GanyuHeadLightMap.dds", f"GanyuHeadLightMap{IniKeywords.RemapDL.value}.dds")),
                                              IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Ganyu/4_0/GanyuHead.ib", f"GanyuHead{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                     "body": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Ganyu/4_0/GanyuBodyDiffuse.dds", f"GanyuBodyDiffuse{IniKeywords.RemapDL.value}.dds")),
                                              "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Ganyu/4_0/GanyuBodyLightMap.dds", f"GanyuBodyLightMap{IniKeywords.RemapDL.value}.dds")),
                                              IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Ganyu/4_0/GanyuBody.ib", f"GanyuBody{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                     "dress": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Ganyu/4_0/GanyuDressDiffuse.dds", f"GanyuDressDiffuse{IniKeywords.RemapDL.value}.dds")),
                                               "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Ganyu/4_0/GanyuDressLightMap.dds", f"GanyuDressLightMap{IniKeywords.RemapDL.value}.dds")),
                                               IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Ganyu/4_0/GanyuDress.ib", f"GanyuDress{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                     IniKeywords.Blend.value: {IniKeywords.Vb1.value: BlendDownloadData("Blend", FileDownload(f"{GithubDownloadFolder}/GI/Ganyu/4_0/GanyuBlend.buf", f"GanyuBlend{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "32"})},
                                     IniKeywords.Position.value: {IniKeywords.Vb0.value: DownloadData("Position", FileDownload(f"{GithubDownloadFolder}/GI/Ganyu/4_0/GanyuPosition.buf", f"GanyuPosition{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "40"})},
                                     IniKeywords.Texcoord.value: {IniKeywords.Vb1.value: DownloadData("Texcoord", FileDownload(f"{GithubDownloadFolder}/GI/Ganyu/4_0/GanyuTexcoord.buf", f"GanyuTexcoord{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": f"{TexcoordByteSizeData[4.0][ModTypeNames.Ganyu.value]}"})}},
          ModTypeNames.HuTao.value: {"head": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/HuTao/4_0/HuTaoHeadDiffuse.dds", f"HuTaoHeadDiffuse{IniKeywords.RemapDL.value}.dds")),
                                              "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/HuTao/4_0/HuTaoHeadLightMap.dds", f"HuTaoHeadLightMap{IniKeywords.RemapDL.value}.dds")),
                                              IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/HuTao/4_0/HuTaoHead.ib", f"HuTaoHead{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                     "body": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/HuTao/4_0/HuTaoBodyDiffuse.dds", f"HuTaoBodyDiffuse{IniKeywords.RemapDL.value}.dds")),
                                              "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/HuTao/4_0/HuTaoBodyLightMap.dds", f"HuTaoBodyLightMap{IniKeywords.RemapDL.value}.dds")),
                                              IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/HuTao/4_0/HuTaoBody.ib", f"HuTaoBody{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                     IniKeywords.Blend.value: {IniKeywords.Vb1.value: BlendDownloadData("Blend", FileDownload(f"{GithubDownloadFolder}/GI/HuTao/4_0/HuTaoBlend.buf", f"HuTaoBlend{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "32"})},
                                     IniKeywords.Position.value: {IniKeywords.Vb0.value: DownloadData("Position", FileDownload(f"{GithubDownloadFolder}/GI/HuTao/4_0/HuTaoPosition.buf", f"HuTaoPosition{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "40"})},
                                     IniKeywords.Texcoord.value: {IniKeywords.Vb1.value: DownloadData("Texcoord", FileDownload(f"{GithubDownloadFolder}/GI/HuTao/4_0/HuTaoTexcoord.buf", f"HuTaoTexcoord{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": f"{TexcoordByteSizeData[4.0][ModTypeNames.HuTao.value]}"})}},
          ModTypeNames.Jean.value: {"head": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Jean/4_0/JeanHeadDiffuse.dds", f"JeanHeadDiffuse{IniKeywords.RemapDL.value}.dds")),
                                             "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Jean/4_0/JeanHeadLightMap.dds", f"JeanHeadLightMap{IniKeywords.RemapDL.value}.dds")),
                                             IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Jean/4_0/JeanHead.ib", f"JeanHead{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                    "body": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Jean/4_0/JeanBodyDiffuse.dds", f"JeanBodyDiffuse{IniKeywords.RemapDL.value}.dds")),
                                             "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Jean/4_0/JeanBodyLightMap.dds", f"JeanBodyLightMap{IniKeywords.RemapDL.value}.dds")),
                                             IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Jean/4_0/JeanBody.ib", f"JeanBody{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                    IniKeywords.Blend.value: {IniKeywords.Vb1.value: BlendDownloadData("Blend", FileDownload(f"{GithubDownloadFolder}/GI/Jean/4_0/JeanBlend.buf", f"JeanBlend{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "32"})},
                                    IniKeywords.Position.value: {IniKeywords.Vb0.value: DownloadData("Position", FileDownload(f"{GithubDownloadFolder}/GI/Jean/4_0/JeanPosition.buf", f"JeanPosition{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "40"})},
                                    IniKeywords.Texcoord.value: {IniKeywords.Vb1.value: DownloadData("Texcoord", FileDownload(f"{GithubDownloadFolder}/GI/Jean/4_0/JeanTexcoord.buf", f"JeanTexcoord{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": f"{TexcoordByteSizeData[4.0][ModTypeNames.Jean.value]}"})}},
          ModTypeNames.JeanCN.value: {"head": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/JeanCN/4_0/JeanCNHeadDiffuse.dds", f"JeanCNHeadDiffuse{IniKeywords.RemapDL.value}.dds")),
                                               "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/JeanCN/4_0/JeanCNHeadLightMap.dds", f"JeanCNHeadLightMap{IniKeywords.RemapDL.value}.dds")),
                                               IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/JeanCN/4_0/JeanCNHead.ib", f"JeanCNHead{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                      "body": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/JeanCN/4_0/JeanCNBodyDiffuse.dds", f"JeanCNBodyDiffuse{IniKeywords.RemapDL.value}.dds")),
                                               "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/JeanCN/4_0/JeanCNBodyLightMap.dds", f"JeanCNBodyLightMap{IniKeywords.RemapDL.value}.dds")),
                                               IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/JeanCN/4_0/JeanCNBody.ib", f"JeanCNBody{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                      IniKeywords.Blend.value: {IniKeywords.Vb1.value: BlendDownloadData("Blend", FileDownload(f"{GithubDownloadFolder}/GI/JeanCN/4_0/JeanCNBlend.buf", f"JeanCNBlend{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "32"})},
                                      IniKeywords.Position.value: {IniKeywords.Vb0.value: DownloadData("Position", FileDownload(f"{GithubDownloadFolder}/GI/JeanCN/4_0/JeanCNPosition.buf", f"JeanCNPosition{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "40"})},
                                      IniKeywords.Texcoord.value: {IniKeywords.Vb1.value: DownloadData("Texcoord", FileDownload(f"{GithubDownloadFolder}/GI/JeanCN/4_0/JeanCNTexcoord.buf", f"JeanCNTexcoord{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": f"{TexcoordByteSizeData[4.0][ModTypeNames.JeanCN.value]}"})}},
          ModTypeNames.JeanSea.value: {"head": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/JeanSea/4_0/JeanSeaHeadDiffuse.dds", f"JeanSeaHeadDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/JeanSea/4_0/JeanSeaHeadLightMap.dds", f"JeanSeaHeadLightMap{IniKeywords.RemapDL.value}.dds")),
                                                IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/JeanSea/4_0/JeanSeaHead.ib", f"JeanSeaHead{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                       "body": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/JeanSea/4_0/JeanSeaBodyDiffuse.dds", f"JeanSeaBodyDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/JeanSea/4_0/JeanSeaBodyLightMap.dds", f"JeanSeaBodyLightMap{IniKeywords.RemapDL.value}.dds")),
                                                IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/JeanSea/4_0/JeanSeaBody.ib", f"JeanSeaBody{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                       "dress": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/JeanSea/4_0/JeanSeaDressDiffuse.dds", f"JeanSeaDressDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                 "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/JeanSea/4_0/JeanSeaDressLightMap.dds", f"JeanSeaDressLightMap{IniKeywords.RemapDL.value}.dds")),
                                                 IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/JeanSea/4_0/JeanSeaDress.ib", f"JeanSeaDress{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                        IniKeywords.Blend.value: {IniKeywords.Vb1.value: BlendDownloadData("Blend", FileDownload(f"{GithubDownloadFolder}/GI/JeanSea/4_0/JeanSeaBlend.buf", f"JeanSeaBlend{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "32"})},
                                        IniKeywords.Position.value: {IniKeywords.Vb0.value: DownloadData("Position", FileDownload(f"{GithubDownloadFolder}/GI/JeanSea/4_0/JeanSeaPosition.buf", f"JeanSeaPosition{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "40"})},
                                        IniKeywords.Texcoord.value: {IniKeywords.Vb1.value: DownloadData("Texcoord", FileDownload(f"{GithubDownloadFolder}/GI/JeanSea/4_0/JeanSeaTexcoord.buf", f"JeanSeaTexcoord{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": f"{TexcoordByteSizeData[4.0][ModTypeNames.JeanSea.value]}"})}},
          ModTypeNames.Kaeya.value: {"head": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Kaeya/4_0/KaeyaHeadDiffuse.dds", f"KaeyaHeadDiffuse{IniKeywords.RemapDL.value}.dds")),
                                              "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Kaeya/4_0/KaeyaHeadLightMap.dds", f"KaeyaHeadLightMap{IniKeywords.RemapDL.value}.dds")),
                                              IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Kaeya/4_0/KaeyaHead.ib", f"KaeyaHead{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                     "body": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Kaeya/4_0/KaeyaBodyDiffuse.dds", f"KaeyaBodyDiffuse{IniKeywords.RemapDL.value}.dds")),
                                              "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Kaeya/4_0/KaeyaBodyLightMap.dds", f"KaeyaBodyLightMap{IniKeywords.RemapDL.value}.dds")),
                                              IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Kaeya/4_0/KaeyaBody.ib", f"KaeyaBody{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                     "dress": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Kaeya/4_0/KaeyaDressDiffuse.dds", f"KaeyaDressDiffuse{IniKeywords.RemapDL.value}.dds")),
                                               "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Kaeya/4_0/KaeyaDressLightMap.dds", f"KaeyaDressLightMap{IniKeywords.RemapDL.value}.dds")),
                                               IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Kaeya/4_0/KaeyaDress.ib", f"KaeyaDress{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                     IniKeywords.Blend.value: {IniKeywords.Vb1.value: BlendDownloadData("Blend", FileDownload(f"{GithubDownloadFolder}/GI/Kaeya/4_0/KaeyaBlend.buf", f"KaeyaBlend{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "32"})},
                                     IniKeywords.Position.value: {IniKeywords.Vb0.value: DownloadData("Position", FileDownload(f"{GithubDownloadFolder}/GI/Kaeya/4_0/KaeyaPosition.buf", f"KaeyaPosition{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "40"})},
                                     IniKeywords.Texcoord.value: {IniKeywords.Vb1.value: DownloadData("Texcoord", FileDownload(f"{GithubDownloadFolder}/GI/Kaeya/4_0/KaeyaTexcoord.buf", f"KaeyaTexcoord{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": f"{TexcoordByteSizeData[4.0][ModTypeNames.Kaeya.value]}"})}},
          ModTypeNames.KaeyaSailwind.value: {"head": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/KaeyaSailwind/4_0/KaeyaSailwindHeadDiffuse.dds", f"KaeyaSailwindHeadDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                      "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/KaeyaSailwind/4_0/KaeyaSailwindHeadLightMap.dds", f"KaeyaSailwindHeadLightMap{IniKeywords.RemapDL.value}.dds")),
                                                       IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/KaeyaSailwind/4_0/KaeyaSailwindHead.ib", f"KaeyaSailwindHead{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                             "body": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/KaeyaSailwind/4_0/KaeyaSailwindBodyDiffuse.dds", f"KaeyaSailwindBodyDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                      "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/KaeyaSailwind/4_0/KaeyaSailwindBodyLightMap.dds", f"KaeyaSailwindBodyLightMap{IniKeywords.RemapDL.value}.dds")),
                                                      IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/KaeyaSailwind/4_0/KaeyaSailwindBody.ib", f"KaeyaSailwindBody{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                             "dress": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/KaeyaSailwind/4_0/KaeyaSailwindDressDiffuse.dds", f"KaeyaSailwindDressDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                       "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/KaeyaSailwind/4_0/KaeyaSailwindDressLightMap.dds", f"KaeyaSailwindDressLightMap{IniKeywords.RemapDL.value}.dds")),
                                                       IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/KaeyaSailwind/4_0/KaeyaSailwindDress.ib", f"KaeyaSailwindDress{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                             IniKeywords.Blend.value: {IniKeywords.Vb1.value: BlendDownloadData("Blend", FileDownload(f"{GithubDownloadFolder}/GI/KaeyaSailwind/4_0/KaeyaSailwindBlend.buf", f"KaeyaSailwindBlend{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "32"})},
                                             IniKeywords.Position.value: {IniKeywords.Vb0.value: DownloadData("Position", FileDownload(f"{GithubDownloadFolder}/GI/KaeyaSailwind/4_0/KaeyaSailwindPosition.buf", f"KaeyaSailwindPosition{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "40"})},
                                             IniKeywords.Texcoord.value: {IniKeywords.Vb1.value: DownloadData("Texcoord", FileDownload(f"{GithubDownloadFolder}/GI/KaeyaSailwind/4_0/KaeyaSailwindTexcoord.buf", f"KaeyaSailwindTexcoord{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": f"{TexcoordByteSizeData[4.0][ModTypeNames.KaeyaSailwind.value]}"})}},
          ModTypeNames.Keqing.value: {"head": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Keqing/4_0/KeqingHeadDiffuse.dds", f"KeqingHeadDiffuse{IniKeywords.RemapDL.value}.dds")),
                                               "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Keqing/4_0/KeqingHeadLightMap.dds", f"KeqingHeadLightMap{IniKeywords.RemapDL.value}.dds")),
                                               IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Keqing/4_0/KeqingHead.ib", f"KeqingHead{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                      "body": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Keqing/4_0/KeqingBodyDiffuse.dds", f"KeqingBodyDiffuse{IniKeywords.RemapDL.value}.dds")),
                                               "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Keqing/4_0/KeqingBodyLightMap.dds", f"KeqingBodyLightMap{IniKeywords.RemapDL.value}.dds")),
                                               IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Keqing/4_0/KeqingBody.ib", f"KeqingBody{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                      "dress": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Keqing/4_0/KeqingDressDiffuse.dds", f"KeqingDressDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Keqing/4_0/KeqingDressLightMap.dds", f"KeqingDressLightMap{IniKeywords.RemapDL.value}.dds")),
                                                IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Keqing/4_0/KeqingDress.ib", f"KeqingDress{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                      IniKeywords.Blend.value: {IniKeywords.Vb1.value: BlendDownloadData("Blend", FileDownload(f"{GithubDownloadFolder}/GI/Keqing/4_0/KeqingBlend.buf", f"KeqingBlend{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "32"})},
                                      IniKeywords.Position.value: {IniKeywords.Vb0.value: DownloadData("Position", FileDownload(f"{GithubDownloadFolder}/GI/Keqing/4_0/KeqingPosition.buf", f"KeqingPosition{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "40"})},
                                      IniKeywords.Texcoord.value: {IniKeywords.Vb1.value: DownloadData("Texcoord", FileDownload(f"{GithubDownloadFolder}/GI/Keqing/4_0/KeqingTexcoord.buf", f"KeqingTexcoord{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": f"{TexcoordByteSizeData[4.0][ModTypeNames.Keqing.value]}"})}},
          ModTypeNames.KeqingOpulent.value: {"head": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/KeqingOpulent/4_0/KeqingOpulentHeadDiffuse.dds", f"KeqingOpulentHeadDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                      "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/KeqingOpulent/4_0/KeqingOpulentHeadLightMap.dds", f"KeqingOpulentHeadLightMap{IniKeywords.RemapDL.value}.dds")),
                                                      IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/KeqingOpulent/4_0/KeqingOpulentHead.ib", f"KeqingOpulentHead{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                             "body": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/KeqingOpulent/4_0/KeqingOpulentBodyDiffuse.dds", f"KeqingOpulentBodyDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                      "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/KeqingOpulent/4_0/KeqingOpulentBodyLightMap.dds", f"KeqingOpulentBodyLightMap{IniKeywords.RemapDL.value}.dds")),
                                                      IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/KeqingOpulent/4_0/KeqingOpulentBody.ib", f"KeqingOpulentBody{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                             IniKeywords.Blend.value: {IniKeywords.Vb1.value: BlendDownloadData("Blend", FileDownload(f"{GithubDownloadFolder}/GI/KeqingOpulent/4_0/KeqingOpulentBlend.buf", f"KeqingOpulentBlend{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "32"})},
                                             IniKeywords.Position.value: {IniKeywords.Vb0.value: DownloadData("Position", FileDownload(f"{GithubDownloadFolder}/GI/KeqingOpulent/4_0/KeqingOpulentPosition.buf", f"KeqingOpulentPosition{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "40"})},
                                             IniKeywords.Texcoord.value: {IniKeywords.Vb1.value: DownloadData("Texcoord", FileDownload(f"{GithubDownloadFolder}/GI/KeqingOpulent/4_0/KeqingOpulentTexcoord.buf", f"KeqingOpulentTexcoord{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": f"{TexcoordByteSizeData[4.0][ModTypeNames.KeqingOpulent.value]}"})}},
          ModTypeNames.Kirara.value: {"head": {"ps-t0": DownloadData("NormalMap", FileDownload(f"{GithubDownloadFolder}/GI/Kirara/4_0/KiraraHeadNormalMap.dds", f"KiraraHeadNormalMap{IniKeywords.RemapDL.value}.dds")),
                                               "ps-t1": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Kirara/4_0/KiraraHeadDiffuse.dds", f"KiraraHeadDiffuse{IniKeywords.RemapDL.value}.dds")),
                                               "ps-t2": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Kirara/4_0/KiraraHeadLightMap.dds", f"KiraraHeadLightMap{IniKeywords.RemapDL.value}.dds")),
                                               IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Kirara/4_0/KiraraHead.ib", f"KiraraHead{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                      "body": {"ps-t0": DownloadData("NormalMap", FileDownload(f"{GithubDownloadFolder}/GI/Kirara/4_0/KiraraBodyNormalMap.dds", f"KiraraBodyNormalMap{IniKeywords.RemapDL.value}.dds")),
                                               "ps-t1": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Kirara/4_0/KiraraBodyDiffuse.dds", f"KiraraBodyDiffuse{IniKeywords.RemapDL.value}.dds")),
                                               "ps-t2": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Kirara/4_0/KiraraBodyLightMap.dds", f"KiraraBodyLightMap{IniKeywords.RemapDL.value}.dds")),
                                               IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Kirara/4_0/KiraraBody.ib", f"KiraraBodys{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                      "dress": {"ps-t1": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Kirara/4_0/KiraraDressDiffuse.dds", f"KiraraDressDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                "ps-t2": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Kirara/4_0/KiraraDressLightMap.dds", f"KiraraDressLightMap{IniKeywords.RemapDL.value}.dds")),
                                                IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Kirara/4_0/KiraraDress.ib", f"KiraraDress{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                      IniKeywords.Blend.value: {IniKeywords.Vb1.value: BlendDownloadData("Blend", FileDownload(f"{GithubDownloadFolder}/GI/Kirara/4_0/KiraraBlend.buf", f"KiraraBlend{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "32"})},
                                      IniKeywords.Position.value: {IniKeywords.Vb0.value: DownloadData("Position", FileDownload(f"{GithubDownloadFolder}/GI/Kirara/4_0/KiraraPosition.buf", f"KiraraPosition{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "40"})},
                                      IniKeywords.Texcoord.value: {IniKeywords.Vb1.value: DownloadData("Texcoord", FileDownload(f"{GithubDownloadFolder}/GI/Kirara/4_0/KiraraTexcoord.buf", f"KiraraTexcoord{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": f"{TexcoordByteSizeData[4.0][ModTypeNames.Kirara.value]}"})}},
          ModTypeNames.Klee.value: {"head": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Klee/4_0/KleeHeadDiffuse.dds", f"KleeHeadDiffuse{IniKeywords.RemapDL.value}.dds")),
                                             "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Klee/4_0/KleeHeadLightMap.dds", f"KleeHeadLightMap{IniKeywords.RemapDL.value}.dds")),
                                             IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Klee/4_0/KleeHead.ib", f"KleeHead{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                    "body": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Klee/4_0/KleeBodyDiffuse.dds", f"KleeBodyDiffuse{IniKeywords.RemapDL.value}.dds")),
                                             "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Klee/4_0/KleeBodyLightMap.dds", f"KleeBodyLightMap{IniKeywords.RemapDL.value}.dds")),
                                             IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Klee/4_0/KleeBody.ib", f"KleeBody{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                    IniKeywords.Blend.value: {IniKeywords.Vb1.value: BlendDownloadData("Blend", FileDownload(f"{GithubDownloadFolder}/GI/Klee/4_0/KleeBlend.buf", f"KleeBlend{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "32"})},
                                    IniKeywords.Position.value: {IniKeywords.Vb0.value: DownloadData("Position", FileDownload(f"{GithubDownloadFolder}/GI/Klee/4_0/KleePosition.buf", f"KleePosition{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "40"})},
                                    IniKeywords.Texcoord.value: {IniKeywords.Vb1.value: DownloadData("Texcoord", FileDownload(f"{GithubDownloadFolder}/GI/Klee/4_0/KleeTexcoord.buf", f"KleeTexcoord{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": f"{TexcoordByteSizeData[4.0][ModTypeNames.Klee.value]}"})}},
          ModTypeNames.KleeBlossomingStarlight.value: {"head": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/KleeBlossomingStarlight/4_0/KleeBlossomingStarlightHeadDiffuse.dds", f"KleeBlossomingStarlightHeadDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                                "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/KleeBlossomingStarlight/4_0/KleeBlossomingStarlightHeadLightMap.dds", f"KleeBlossomingStarlightHeadLightMap{IniKeywords.RemapDL.value}.dds")),
                                                                IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/KleeBlossomingStarlight/4_0/KleeBlossomingStarlightHead.ib", f"KleeBlossomingStarlightHead{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                                       "body": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/KleeBlossomingStarlight/4_0/KleeBlossomingStarlightBodyDiffuse.dds", f"KleeBlossomingStarlightBodyDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                                "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/KleeBlossomingStarlight/4_0/KleeBlossomingStarlightBodyLightMap.dds", f"KleeBlossomingStarlightBodyLightMap{IniKeywords.RemapDL.value}.dds")),
                                                                IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/KleeBlossomingStarlight/4_0/KleeBlossomingStarlightBody.ib", f"KleeBlossomingStarlightBody{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                                       "dress": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/KleeBlossomingStarlight/4_0/KleeBlossomingStarlightDressDiffuse.dds", f"KleeBlossomingStarlightDressDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                                 "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/KleeBlossomingStarlight/4_0/KleeBlossomingStarlightDressLightMap.dds", f"KleeBlossomingStarlightDressLightMap{IniKeywords.RemapDL.value}.dds")),
                                                                 IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/KleeBlossomingStarlight/4_0/KleeBlossomingStarlightDress.ib", f"KleeBlossomingStarlightDress{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                                       IniKeywords.Blend.value: {IniKeywords.Vb1.value: BlendDownloadData("Blend", FileDownload(f"{GithubDownloadFolder}/GI/KleeBlossomingStarlight/4_0/KleeBlossomingStarlightBlend.buf", f"KleeBlossomingStarlightBlend{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "32"})},
                                                       IniKeywords.Position.value: {IniKeywords.Vb0.value: DownloadData("Position", FileDownload(f"{GithubDownloadFolder}/GI/KleeBlossomingStarlight/4_0/KleeBlossomingStarlightPosition.buf", f"KleeBlossomingStarlightPosition{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "40"})},
                                                       IniKeywords.Texcoord.value: {IniKeywords.Vb1.value: DownloadData("Texcoord", FileDownload(f"{GithubDownloadFolder}/GI/KleeBlossomingStarlight/4_0/KleeBlossomingStarlightTexcoord.buf", f"KleeBlossomingStarlightTexcoord{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": f"{TexcoordByteSizeData[4.0][ModTypeNames.KleeBlossomingStarlight.value]}"})}},
          ModTypeNames.Lisa.value: {"head": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Lisa/4_0/LisaHeadDiffuse.dds", f"LisaHeadDiffuse{IniKeywords.RemapDL.value}.dds")),
                                             "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Lisa/4_0/LisaHeadLightMap.dds", f"LisaHeadLightMap{IniKeywords.RemapDL.value}.dds")),
                                             IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Lisa/4_0/LisaHead.ib", f"LisaHead{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                    "body": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Lisa/4_0/LisaBodyDiffuse.dds", f"LisaBodyDiffuse{IniKeywords.RemapDL.value}.dds")),
                                             "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Lisa/4_0/LisaBodyLightMap.dds", f"LisaBodyLightMap{IniKeywords.RemapDL.value}.dds")),
                                             IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Lisa/4_0/LisaBody.ib", f"LisaBody{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                    "dress": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Lisa/4_0/LisaDressDiffuse.dds", f"LisaDressDiffuse{IniKeywords.RemapDL.value}.dds")),
                                              "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Lisa/4_0/LisaDressLightMap.dds", f"LisaDressLightMap{IniKeywords.RemapDL.value}.dds")),
                                              IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Lisa/4_0/LisaDress.ib", f"LisaDress{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                    IniKeywords.Blend.value: {IniKeywords.Vb1.value: BlendDownloadData("Blend", FileDownload(f"{GithubDownloadFolder}/GI/Lisa/4_0/LisaBlend.buf", f"LisaBlend{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "32"})},
                                    IniKeywords.Position.value: {IniKeywords.Vb0.value: DownloadData("Position", FileDownload(f"{GithubDownloadFolder}/GI/Lisa/4_0/LisaPosition.buf", f"LisaPosition{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "40"})},
                                    IniKeywords.Texcoord.value: {IniKeywords.Vb1.value: DownloadData("Texcoord", FileDownload(f"{GithubDownloadFolder}/GI/Lisa/4_0/LisaTexcoord.buf", f"LisaTexcoord{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": f"{TexcoordByteSizeData[4.0][ModTypeNames.Lisa.value]}"})}},
          ModTypeNames.LisaStudent.value: {"head": {"ps-t1": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/LisaStudent/4_0/LisaStudentHeadDiffuse.dds", f"LisaStudentHeadDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                    "ps-t2": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/LisaStudent/4_0/LisaStudentHeadLightMap.dds", f"LisaStudentHeadLightMap{IniKeywords.RemapDL.value}.dds")),
                                                    IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/LisaStudent/4_0/LisaStudentHead.ib", f"LisaStudentHead{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                           "body": {"ps-t1": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/LisaStudent/4_0/LisaStudentBodyDiffuse.dds", f"LisaStudentBodyDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                    "ps-t2": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/LisaStudent/4_0/LisaStudentBodyLightMap.dds", f"LisaStudentBodyLightMap{IniKeywords.RemapDL.value}.dds")),
                                                    IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/LisaStudent/4_0/LisaStudentBody.ib", f"LisaStudentBody{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                           IniKeywords.Blend.value: {IniKeywords.Vb1.value: BlendDownloadData("Blend", FileDownload(f"{GithubDownloadFolder}/GI/LisaStudent/4_0/LisaStudentBlend.buf", f"LisaStudentBlend{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "32"})},
                                           IniKeywords.Position.value: {IniKeywords.Vb0.value: DownloadData("Position", FileDownload(f"{GithubDownloadFolder}/GI/LisaStudent/4_0/LisaStudentPosition.buf", f"LisaStudentPosition{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "40"})},
                                           IniKeywords.Texcoord.value: {IniKeywords.Vb1.value: DownloadData("Texcoord", FileDownload(f"{GithubDownloadFolder}/GI/LisaStudent/4_0/LisaStudentTexcoord.buf", f"LisaStudentTexcoord{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": f"{TexcoordByteSizeData[4.0][ModTypeNames.LisaStudent.value]}"})}},
          ModTypeNames.Mona.value: {"head": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Mona/4_0/MonaHeadDiffuse.dds", f"MonaHeadDiffuse{IniKeywords.RemapDL.value}.dds")),
                                             "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Mona/4_0/MonaHeadLightMap.dds", f"MonaHeadLightMap{IniKeywords.RemapDL.value}.dds")),
                                             IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Mona/4_0/MonaHead.ib", f"MonaHead{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                    "body": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Mona/4_0/MonaBodyDiffuse.dds", f"MonaBodyDiffuse{IniKeywords.RemapDL.value}.dds")),
                                             "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Mona/4_0/MonaBodyLightMap.dds", f"MonaBodyLightMap{IniKeywords.RemapDL.value}.dds")),
                                             IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Mona/4_0/MonaBody.ib", f"MonaBody{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                    IniKeywords.Blend.value: {IniKeywords.Vb1.value: BlendDownloadData("Blend", FileDownload(f"{GithubDownloadFolder}/GI/Mona/4_0/MonaBlend.buf", f"MonaBlend{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "32"})},
                                    IniKeywords.Position.value: {IniKeywords.Vb0.value: DownloadData("Position", FileDownload(f"{GithubDownloadFolder}/GI/Mona/4_0/MonaPosition.buf", f"MonaPosition{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "40"})},
                                    IniKeywords.Texcoord.value: {IniKeywords.Vb1.value: DownloadData("Texcoord", FileDownload(f"{GithubDownloadFolder}/GI/Mona/4_0/MonaTexcoord.buf", f"MonaTexcoord{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": f"{TexcoordByteSizeData[4.0][ModTypeNames.Mona.value]}"})}},
          ModTypeNames.MonaCN.value: {"head": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/MonaCN/4_0/MonaCNHeadDiffuse.dds", f"MonaCNHeadDiffuse{IniKeywords.RemapDL.value}.dds")),
                                               "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/MonaCN/4_0/MonaCNHeadLightMap.dds", f"MonaCNHeadLightMap{IniKeywords.RemapDL.value}.dds")),
                                               IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/MonaCN/4_0/MonaCNHead.ib", f"MonaCNHead{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                      "body": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/MonaCN/4_0/MonaCNBodyDiffuse.dds", f"MonaCNBodyDiffuse{IniKeywords.RemapDL.value}.dds")),
                                               "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/MonaCN/4_0/MonaCNBodyLightMap.dds", f"MonaCNBodyLightMap{IniKeywords.RemapDL.value}.dds")),
                                               IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/MonaCN/4_0/MonaCNBody.ib", f"MonaCNBody{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                      IniKeywords.Blend.value: {IniKeywords.Vb1.value: BlendDownloadData("Blend", FileDownload(f"{GithubDownloadFolder}/GI/MonaCN/4_0/MonaCNBlend.buf", f"MonaCNBlend{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "32"})},
                                      IniKeywords.Position.value: {IniKeywords.Vb0.value: DownloadData("Position", FileDownload(f"{GithubDownloadFolder}/GI/MonaCN/4_0/MonaCNPosition.buf", f"MonaCNPosition{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "40"})},
                                      IniKeywords.Texcoord.value: {IniKeywords.Vb1.value: DownloadData("Texcoord", FileDownload(f"{GithubDownloadFolder}/GI/MonaCN/4_0/MonaCNTexcoord.buf", f"MonaCNTexcoord{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": f"{TexcoordByteSizeData[4.0][ModTypeNames.MonaCN.value]}"})}},
          ModTypeNames.Nilou.value: {"head": {"ps-t1": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Nilou/4_0/NilouHeadDiffuse.dds", f"NilouHeadDiffuse{IniKeywords.RemapDL.value}.dds")),
                                              "ps-t2": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Nilou/4_0/NilouHeadLightMap.dds", f"NilouHeadLightMap{IniKeywords.RemapDL.value}.dds")),
                                              IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Nilou/4_0/NilouHead.ib", f"NilouHead{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                     "body": {"ps-t1": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Nilou/4_0/NilouBodyDiffuse.dds", f"NilouBodyDiffuse{IniKeywords.RemapDL.value}.dds")),
                                              "ps-t2": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Nilou/4_0/NilouBodyLightMap.dds", f"NilouBodyLightMap{IniKeywords.RemapDL.value}.dds")),
                                              IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Nilou/4_0/NilouBody.ib", f"NilouBody{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                     "dress": {"ps-t1": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Nilou/4_0/NilouDressDiffuse.dds", f"NilouDressDiffuse{IniKeywords.RemapDL.value}.dds")),
                                               "ps-t2": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Nilou/4_0/NilouDressLightMap.dds", f"NilouDressLightMap{IniKeywords.RemapDL.value}.dds")),
                                               IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Nilou/4_0/NilouDress.ib", f"NilouDress{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                     IniKeywords.Blend.value: {IniKeywords.Vb1.value: BlendDownloadData("Blend", FileDownload(f"{GithubDownloadFolder}/GI/Nilou/4_0/NilouBlend.buf", f"NilouBlend{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "32"})},
                                     IniKeywords.Position.value: {IniKeywords.Vb0.value: DownloadData("Position", FileDownload(f"{GithubDownloadFolder}/GI/Nilou/4_0/NilouPosition.buf", f"NilouPosition{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "40"})},
                                     IniKeywords.Texcoord.value: {IniKeywords.Vb1.value: DownloadData("Texcoord", FileDownload(f"{GithubDownloadFolder}/GI/Nilou/4_0/NilouTexcoord.buf", f"NilouTexcoord{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": f"{TexcoordByteSizeData[4.0][ModTypeNames.Nilou.value]}"})}},
          ModTypeNames.Ningguang.value: {"head": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Ningguang/4_0/NingguangHeadDiffuse.dds", f"NingguangHeadDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                  "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Ningguang/4_0/NingguangHeadLightMap.dds", f"NingguangHeadLightMap{IniKeywords.RemapDL.value}.dds")),
                                                  IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Ningguang/4_0/NingguangHead.ib", f"NingguangHead{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                         "body": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Ningguang/4_0/NingguangBodyDiffuse.dds", f"NingguangBodyDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                  "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Ningguang/4_0/NingguangBodyLightMap.dds", f"NingguangBodyLightMap{IniKeywords.RemapDL.value}.dds")),
                                                  IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Ningguang/4_0/NingguangBody.ib", f"NingguangBody{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                         "dress": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Ningguang/4_0/NingguangDressDiffuse.dds", f"NingguangDressDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                   "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Ningguang/4_0/NingguangDressLightMap.dds", f"NingguangDressLightMap{IniKeywords.RemapDL.value}.dds")),
                                                   IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Ningguang/4_0/NingguangDress.ib", f"NingguangDress{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                         IniKeywords.Blend.value: {IniKeywords.Vb1.value: BlendDownloadData("Blend", FileDownload(f"{GithubDownloadFolder}/GI/Ningguang/4_0/NingguangBlend.buf", f"NingguangBlend{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "32"})},
                                         IniKeywords.Position.value: {IniKeywords.Vb0.value: DownloadData("Position", FileDownload(f"{GithubDownloadFolder}/GI/Ningguang/4_0/NingguangPosition.buf", f"NingguangPosition{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "40"})},
                                         IniKeywords.Texcoord.value: {IniKeywords.Vb1.value: DownloadData("Texcoord", FileDownload(f"{GithubDownloadFolder}/GI/Ningguang/4_0/NingguangTexcoord.buf", f"NingguangTexcoord{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": f"{TexcoordByteSizeData[4.0][ModTypeNames.Ningguang.value]}"})}},
          ModTypeNames.NingguangOrchid.value: {"head": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/NingguangOrchid/4_0/NingguangOrchidHeadDiffuse.dds", f"NingguangOrchidHeadDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                        "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/NingguangOrchid/4_0/NingguangOrchidHeadLightMap.dds", f"NingguangOrchidHeadLightMap{IniKeywords.RemapDL.value}.dds")),
                                                        IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/NingguangOrchid/4_0/NingguangOrchidHead.ib", f"NingguangOrchidHead{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                               "body": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/NingguangOrchid/4_0/NingguangOrchidBodyDiffuse.dds", f"NingguangOrchidBodyDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                        "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/NingguangOrchid/4_0/NingguangOrchidBodyLightMap.dds", f"NingguangOrchidBodyLightMap{IniKeywords.RemapDL.value}.dds")),
                                                        IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/NingguangOrchid/4_0/NingguangOrchidBody.ib", f"NingguangOrchidBody{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                               "dress": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/NingguangOrchid/4_0/NingguangOrchidDressDiffuse.dds", f"NingguangOrchidDressDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                         "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/NingguangOrchid/4_0/NingguangOrchidDressLightMap.dds", f"NingguangOrchidDressLightMap{IniKeywords.RemapDL.value}.dds")),
                                                         IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/NingguangOrchid/4_0/NingguangOrchidDress.ib", f"NingguangOrchidDress{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                                IniKeywords.Blend.value: {IniKeywords.Vb1.value: BlendDownloadData("Blend", FileDownload(f"{GithubDownloadFolder}/GI/NingguangOrchid/4_0/NingguangOrchidBlend.buf", f"NingguangOrchidBlend{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "32"})},
                                                IniKeywords.Position.value: {IniKeywords.Vb0.value: DownloadData("Position", FileDownload(f"{GithubDownloadFolder}/GI/NingguangOrchid/4_0/NingguangOrchidPosition.buf", f"NingguangOrchidPosition{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "40"})},
                                                IniKeywords.Texcoord.value: {IniKeywords.Vb1.value: DownloadData("Texcoord", FileDownload(f"{GithubDownloadFolder}/GI/NingguangOrchid/4_0/NingguangOrchidTexcoord.buf", f"NingguangOrchidTexcoord{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": f"{TexcoordByteSizeData[4.0][ModTypeNames.NingguangOrchid.value]}"})}},
          ModTypeNames.Rosaria.value: {"head": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Rosaria/4_0/RosariaHeadDiffuse.dds", f"RosariaHeadDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Rosaria/4_0/RosariaHeadLightMap.dds", f"RosariaHeadLightMap{IniKeywords.RemapDL.value}.dds")),
                                                IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Rosaria/4_0/RosariaHead.ib", f"RosariaHead{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                       "body": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Rosaria/4_0/RosariaBodyDiffuse.dds", f"RosariaBodyDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Rosaria/4_0/RosariaBodyLightMap.dds", f"RosariaBodyLightMap{IniKeywords.RemapDL.value}.dds")),
                                                IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Rosaria/4_0/RosariaBody.ib", f"RosariaBody{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                       "dress": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Rosaria/4_0/RosariaDressDiffuse.dds", f"RosariaDressDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                 "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Rosaria/4_0/RosariaDressLightMap.dds", f"RosariaDressLightMap{IniKeywords.RemapDL.value}.dds")),
                                                 IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Rosaria/4_0/RosariaDress.ib", f"RosariaDress{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                       "extra": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Rosaria/4_0/RosariaExtraDiffuse.dds", f"RosariaExtraDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                 "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Rosaria/4_0/RosariaExtraLightMap.dds", f"RosariaExtraLightMap{IniKeywords.RemapDL.value}.dds")),
                                                 IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Rosaria/4_0/RosariaExtra.ib", f"RosariaExtra{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                        IniKeywords.Blend.value: {IniKeywords.Vb1.value: BlendDownloadData("Blend", FileDownload(f"{GithubDownloadFolder}/GI/Rosaria/4_0/RosariaBlend.buf", f"RosariaBlend{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "32"})},
                                        IniKeywords.Position.value: {IniKeywords.Vb0.value: DownloadData("Position", FileDownload(f"{GithubDownloadFolder}/GI/Rosaria/4_0/RosariaPosition.buf", f"RosariaPosition{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "40"})},
                                        IniKeywords.Texcoord.value: {IniKeywords.Vb1.value: DownloadData("Texcoord", FileDownload(f"{GithubDownloadFolder}/GI/Rosaria/4_0/RosariaTexcoord.buf", f"RosariaTexcoord{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": f"{TexcoordByteSizeData[4.0][ModTypeNames.Rosaria.value]}"})}},
          ModTypeNames.RosariaCN.value: {"head": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/RosariaCN/4_0/RosariaCNHeadDiffuse.dds", f"RosariaCNHeadDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                  "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/RosariaCN/4_0/RosariaCNHeadLightMap.dds", f"RosariaCNHeadLightMap{IniKeywords.RemapDL.value}.dds")),
                                                  IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/RosariaCN/4_0/RosariaCNHead.ib", f"RosariaCNHead{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                         "body": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/RosariaCN/4_0/RosariaCNBodyDiffuse.dds", f"RosariaCNBodyDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                  "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/RosariaCN/4_0/RosariaCNBodyLightMap.dds", f"RosariaCNBodyLightMap{IniKeywords.RemapDL.value}.dds")),
                                                  IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/RosariaCN/4_0/RosariaCNBody.ib", f"RosariaCNBody{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                         "dress": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/RosariaCN/4_0/RosariaCNDressDiffuse.dds", f"RosariaCNDressDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                   "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/RosariaCN/4_0/RosariaCNDressLightMap.dds", f"RosariaCNDressLightMap{IniKeywords.RemapDL.value}.dds")),
                                                   IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/RosariaCN/4_0/RosariaCNDress.ib", f"RosariaCNDress{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                         "extra": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/RosariaCN/4_0/RosariaCNExtraDiffuse.dds", f"RosariaCNExtraDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                   "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/RosariaCN/4_0/RosariaCNExtraLightMap.dds", f"RosariaCNExtraLightMap{IniKeywords.RemapDL.value}.dds")),
                                                   IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/RosariaCN/4_0/RosariaCNExtra.ib", f"RosariaCNExtra{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                         IniKeywords.Blend.value: {IniKeywords.Vb1.value: BlendDownloadData("Blend", FileDownload(f"{GithubDownloadFolder}/GI/RosariaCN/4_0/RosariaCNBlend.buf", f"RosariaCNBlend{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "32"})},
                                         IniKeywords.Position.value: {IniKeywords.Vb0.value: DownloadData("Position", FileDownload(f"{GithubDownloadFolder}/GI/RosariaCN/4_0/RosariaCNPosition.buf", f"RosariaCNPosition{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "40"})},
                                         IniKeywords.Texcoord.value: {IniKeywords.Vb1.value: DownloadData("Texcoord", FileDownload(f"{GithubDownloadFolder}/GI/RosariaCN/4_0/RosariaCNTexcoord.buf", f"RosariaCNTexcoord{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": f"{TexcoordByteSizeData[4.0][ModTypeNames.RosariaCN.value]}"})}},
          ModTypeNames.Shenhe.value: {"head": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Shenhe/4_0/ShenheHeadDiffuse.dds", f"ShenheHeadDiffuse{IniKeywords.RemapDL.value}.dds")),
                                               "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Shenhe/4_0/ShenheHeadLightMap.dds", f"ShenheHeadLightMap{IniKeywords.RemapDL.value}.dds")),
                                               IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Shenhe/4_0/ShenheHead.ib", f"ShenheHead{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                      "body": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Shenhe/4_0/ShenheBodyDiffuse.dds", f"ShenheBodyDiffuse{IniKeywords.RemapDL.value}.dds")),
                                               "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Shenhe/4_0/ShenheBodyLightMap.dds", f"ShenheBodyLightMap{IniKeywords.RemapDL.value}.dds")),
                                               IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Shenhe/4_0/ShenheBody.ib", f"ShenheBody{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                      "dress": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Shenhe/4_0/ShenheDressDiffuse.dds", f"ShenheDressDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Shenhe/4_0/ShenheDressLightMap.dds", f"ShenheDressLightMap{IniKeywords.RemapDL.value}.dds")),
                                                IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Shenhe/4_0/ShenheDress.ib", f"ShenheDress{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                      IniKeywords.Blend.value: {IniKeywords.Vb1.value: BlendDownloadData("Blend", FileDownload(f"{GithubDownloadFolder}/GI/Shenhe/4_0/ShenheBlend.buf", f"ShenheBlend{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "32"})},
                                      IniKeywords.Position.value: {IniKeywords.Vb0.value: DownloadData("Position", FileDownload(f"{GithubDownloadFolder}/GI/Shenhe/4_0/ShenhePosition.buf", f"ShenhePosition{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "40"})},
                                      IniKeywords.Texcoord.value: {IniKeywords.Vb1.value: DownloadData("Texcoord", FileDownload(f"{GithubDownloadFolder}/GI/Shenhe/4_0/ShenheTexcoord.buf", f"ShenheTexcoord{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": f"{TexcoordByteSizeData[4.0][ModTypeNames.Shenhe.value]}"})}},
          ModTypeNames.Xiangling.value: {"head": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Xiangling/4_0/XianglingHeadDiffuse.dds", f"XianglingHeadDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                  "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Xiangling/4_0/XianglingHeadLightMap.dds", f"XianglingHeadLightMap{IniKeywords.RemapDL.value}.dds")),
                                                  IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Xiangling/4_0/XianglingHead.ib", f"XianglingHead{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                         "body": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Xiangling/4_0/XianglingBodyDiffuse.dds", f"XianglingBodyDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                  "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Xiangling/4_0/XianglingBodyLightMap.dds", f"XianglingBodyLightMap{IniKeywords.RemapDL.value}.dds")),
                                                  IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Xiangling/4_0/XianglingBody.ib", f"XianglingBody{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                         "dress": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Xiangling/4_0/XianglingDressDiffuse.dds", f"XianglingDressDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                   "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Xiangling/4_0/XianglingDressLightMap.dds", f"XianglingDressLightMap{IniKeywords.RemapDL.value}.dds")),
                                                   IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Xiangling/4_0/XianglingDress.ib", f"XianglingDress{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                         IniKeywords.Blend.value: {IniKeywords.Vb1.value: BlendDownloadData("Blend", FileDownload(f"{GithubDownloadFolder}/GI/Xiangling/4_0/XianglingBlend.buf", f"XianglingBlend{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "32"})},
                                         IniKeywords.Position.value: {IniKeywords.Vb0.value: DownloadData("Position", FileDownload(f"{GithubDownloadFolder}/GI/Xiangling/4_0/XianglingPosition.buf", f"XianglingPosition{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "40"})},
                                         IniKeywords.Texcoord.value: {IniKeywords.Vb1.value: DownloadData("Texcoord", FileDownload(f"{GithubDownloadFolder}/GI/Xiangling/4_0/XianglingTexcoord.buf", f"XianglingTexcoord{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": f"{TexcoordByteSizeData[4.0][ModTypeNames.Xiangling.value]}"})}},
          ModTypeNames.Xingqiu.value: {"head": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Xingqiu/4_0/XingqiuHeadDiffuse.dds", f"XingqiuHeadDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Xingqiu/4_0/XingqiuHeadLightMap.dds", f"XingqiuHeadLightMap{IniKeywords.RemapDL.value}.dds")),
                                                IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Xingqiu/4_0/XingqiuHead.ib", f"XingqiuHead{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                       "body": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Xingqiu/4_0/XingqiuBodyDiffuse.dds", f"XingqiuBodyDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Xingqiu/4_0/XingqiuBodyLightMap.dds", f"XingqiuBodyLightMap{IniKeywords.RemapDL.value}.dds")),
                                                IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Xingqiu/4_0/XingqiuBody.ib", f"XingqiuBody{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                       IniKeywords.Blend.value: {IniKeywords.Vb1.value: BlendDownloadData("Blend", FileDownload(f"{GithubDownloadFolder}/GI/Xingqiu/4_0/XingqiuBlend.buf", f"XingqiuBlend{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "32"})},
                                       IniKeywords.Position.value: {IniKeywords.Vb0.value: DownloadData("Position", FileDownload(f"{GithubDownloadFolder}/GI/Xingqiu/4_0/XingqiuPosition.buf", f"XingqiuPosition{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "40"})},
                                       IniKeywords.Texcoord.value: {IniKeywords.Vb1.value: DownloadData("Texcoord", FileDownload(f"{GithubDownloadFolder}/GI/Xingqiu/4_0/XingqiuTexcoord.buf", f"XingqiuTexcoord{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": f"{TexcoordByteSizeData[4.0][ModTypeNames.Xingqiu.value]}"})}}},
    4.4: {ModTypeNames.GanyuTwilight.value: {"head": {"ps-t1": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/GanyuTwilight/4_4/GanyuTwilightHeadDiffuse.dds", f"GanyuTwilightHeadDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                      "ps-t2": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/GanyuTwilight/4_4/GanyuTwilightHeadLightMap.dds", f"GanyuTwilightHeadLightMap{IniKeywords.RemapDL.value}.dds")),
                                                      IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/GanyuTwilight/4_4/GanyuTwilightHead.ib", f"GanyuTwilightHead{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                             "body": {"ps-t1": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/GanyuTwilight/4_4/GanyuTwilightBodyDiffuse.dds", f"GanyuTwilightBodyDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                      "ps-t2": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/GanyuTwilight/4_4/GanyuTwilightBodyLightMap.dds", f"GanyuTwilightBodyLightMap{IniKeywords.RemapDL.value}.dds")),
                                                      IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/GanyuTwilight/4_4/GanyuTwilightBody.ib", f"GanyuTwilightBody{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                             "dress": {"ps-t1": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/GanyuTwilight/4_4/GanyuTwilightDressDiffuse.dds", f"GanyuTwilightDressDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                       "ps-t2": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/GanyuTwilight/4_4/GanyuTwilightDressLightMap.dds", f"GanyuTwilightDressLightMap{IniKeywords.RemapDL.value}.dds")),
                                                       IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/GanyuTwilight/4_4/GanyuTwilightDress.ib", f"GanyuTwilightDress{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                             IniKeywords.Blend.value: {IniKeywords.Vb1.value: BlendDownloadData("Blend", FileDownload(f"{GithubDownloadFolder}/GI/GanyuTwilight/4_4/GanyuTwilightBlend.buf", f"GanyuTwilightBlend{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "32"})},
                                             IniKeywords.Position.value: {IniKeywords.Vb0.value: DownloadData("Position", FileDownload(f"{GithubDownloadFolder}/GI/GanyuTwilight/4_4/GanyuTwilightPosition.buf", f"GanyuTwilightPosition{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "40"})},
                                             IniKeywords.Texcoord.value: {IniKeywords.Vb1.value: DownloadData("Texcoord", FileDownload(f"{GithubDownloadFolder}/GI/GanyuTwilight/4_4/GanyuTwilightTexcoord.buf", f"GanyuTwilightTexcoord{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": f"{TexcoordByteSizeData[4.4][ModTypeNames.GanyuTwilight.value]}"})}},
          ModTypeNames.ShenheFrostFlower.value: {"head": {"ps-t1": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/ShenheFrostFlower/4_4/ShenheFrostFlowerHeadDiffuse.dds", f"ShenheFrostFlowerHeadDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                          "ps-t2": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/ShenheFrostFlower/4_4/ShenheFrostFlowerHeadLightMap.dds", f"ShenheFrostFlowerHeasdLightMap{IniKeywords.RemapDL.value}.dds")),
                                                          IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/ShenheFrostFlower/4_4/ShenheFrostFlowerHead.ib", f"ShenheFrostFlowerHead{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                                 "body": {"ps-t1": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/ShenheFrostFlower/4_4/ShenheFrostFlowerBodyDiffuse.dds", f"ShenheFrostFlowerBodyDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                          "ps-t2": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/ShenheFrostFlower/4_4/ShenheFrostFlowerBodyLightMap.dds", f"ShenheFrostFlowerBodyLightMap{IniKeywords.RemapDL.value}.dds")),
                                                          IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/ShenheFrostFlower/4_4/ShenheFrostFlowerBody.ib", f"ShenheFrostFlowerBody{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                                 "dress": {"ps-t1": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/ShenheFrostFlower/4_4/ShenheFrostFlowerDressDiffuse.dds", f"ShenheFrostFlowerDressDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                           "ps-t2": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/ShenheFrostFlower/4_4/ShenheFrostFlowerDressLightMap.dds", f"ShenheFrostFlowerDressLightMap{IniKeywords.RemapDL.value}.dds")),
                                                           IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/ShenheFrostFlower/4_4/ShenheFrostFlowerDress.ib", f"ShenheFrostFlowerDress{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                                 "extra": {"ps-t1": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/ShenheFrostFlower/4_4/ShenheFrostFlowerExtraDiffuse.dds", f"ShenheFrostFlowerExtraDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                           "ps-t2": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/ShenheFrostFlower/4_4/ShenheFrostFlowerExtraLightMap.dds", f"ShenheFrostFlowerExtraLightMap{IniKeywords.RemapDL.value}.dds")),
                                                           IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/ShenheFrostFlower/4_4/ShenheFrostFlowerExtra.ib", f"ShenheFrostFlowerExtra{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                                 IniKeywords.Blend.value: {IniKeywords.Vb1.value: BlendDownloadData("Blend", FileDownload(f"{GithubDownloadFolder}/GI/ShenheFrostFlower/4_4/ShenheFrostFlowerBlend.buf", f"ShenheFrostFlowerBlend{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "32"})},
                                                 IniKeywords.Position.value: {IniKeywords.Vb0.value: DownloadData("Position", FileDownload(f"{GithubDownloadFolder}/GI/ShenheFrostFlower/4_4/ShenheFrostFlowerPosition.buf", f"ShenheFrostFlowerPosition{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "40"})},
                                                 IniKeywords.Texcoord.value: {IniKeywords.Vb1.value: DownloadData("Texcoord", FileDownload(f"{GithubDownloadFolder}/GI/ShenheFrostFlower/4_4/ShenheFrostFlowerTexcoord.buf", f"ShenheFrostFlowerTexcoord{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": f"{TexcoordByteSizeData[4.4][ModTypeNames.ShenheFrostFlower.value]}"})}},
          ModTypeNames.XingqiuBamboo.value: {"head": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/XingqiuBamboo/4_4/XingqiuBambooHeadDiffuse.dds", f"XingqiuBambooHeadDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                      "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/XingqiuBamboo/4_4/XingqiuBambooHeadLightMap.dds", f"XingqiuBambooHeadLightMap{IniKeywords.RemapDL.value}.dds")),
                                                      IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/XingqiuBamboo/4_4/XingqiuBambooHead.ib", f"XingqiuBambooHead{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                             "body": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/XingqiuBamboo/4_4/XingqiuBambooBodyDiffuse.dds", f"XingqiuBambooBodyDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                      "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/XingqiuBamboo/4_4/XingqiuBambooBodyLightMap.dds", f"XingqiuBambooBodyLightMap{IniKeywords.RemapDL.value}.dds")),
                                                      IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/XingqiuBamboo/4_4/XingqiuBambooBody.ib", f"XingqiuBambooBody{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                             "dress": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/XingqiuBamboo/4_4/XingqiuBambooDressDiffuse.dds", f"XingqiuBambooDressDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                       "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/XingqiuBamboo/4_4/XingqiuBambooDressLightMap.dds", f"XingqiuBambooDressLightMap{IniKeywords.RemapDL.value}.dds")),
                                                       IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/XingqiuBamboo/4_4/XingqiuBambooDress.ib", f"XingqiuBambooDress{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                             IniKeywords.Blend.value: {IniKeywords.Vb1.value: BlendDownloadData("Blend", FileDownload(f"{GithubDownloadFolder}/GI/XingqiuBamboo/4_4/XingqiuBambooBlend.buf", f"XingqiuBambooBlend{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "32"})},
                                             IniKeywords.Position.value: {IniKeywords.Vb0.value: DownloadData("Position", FileDownload(f"{GithubDownloadFolder}/GI/XingqiuBamboo/4_4/XingqiuBambooPosition.buf", f"XingqiuBambooPosition{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "40"})},
                                             IniKeywords.Texcoord.value: {IniKeywords.Vb1.value: DownloadData("Texcoord", FileDownload(f"{GithubDownloadFolder}/GI/XingqiuBamboo/4_4/XingqiuBambooTexcoord.buf", f"XingqiuBambooTexcoord{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": f"{TexcoordByteSizeData[4.4][ModTypeNames.XingqiuBamboo.value]}"})}}},
    4.8: {ModTypeNames.KiraraBoots.value: {"head": {"ps-t0": DownloadData("NormalMap", FileDownload(f"{GithubDownloadFolder}/GI/KiraraBoots/4_8/KiraraBootsHeadNormalMap.dds", f"KiraraBootsHeadNormalMap{IniKeywords.RemapDL.value}.dds")),
                                                    "ps-t1": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/KiraraBoots/4_8/KiraraBootsHeadDiffuse.dds", f"KiraraBootsHeadDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                    "ps-t2": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/KiraraBoots/4_8/KiraraBootsHeadLightMap.dds", f"KiraraBootsHeadLightMap{IniKeywords.RemapDL.value}.dds")),
                                                    IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/KiraraBoots/4_8/KiraraBootsHead.ib", f"KiraraBootsHead{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                           "body": {"ps-t0": DownloadData("NormalMap", FileDownload(f"{GithubDownloadFolder}/GI/KiraraBoots/4_8/KiraraBootsBodyNormalMap.dds", f"KiraraBootsBodyNormalMap{IniKeywords.RemapDL.value}.dds")),
                                                    "ps-t1": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/KiraraBoots/4_8/KiraraBootsBodyDiffuse.dds", f"KiraraBootsBodyDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                    "ps-t2": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/KiraraBoots/4_8/KiraraBootsBodyLightMap.dds", f"KiraraBootsBodyLightMap{IniKeywords.RemapDL.value}.dds")),
                                                    IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/KiraraBoots/4_8/KiraraBootsBody.ib", f"KiraraBootsBody{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                           "dress": {"ps-t1": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/KiraraBoots/4_8/KiraraBootsDressDiffuse.dds", f"KiraraBootsDressDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                     "ps-t2": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/KiraraBoots/4_8/KiraraBootsDressLightMap.dds", f"KiraraBootsDressLightMap{IniKeywords.RemapDL.value}.dds")),
                                                     IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/KiraraBoots/4_8/KiraraBootsDress.ib", f"KiraraBootsDress{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                           IniKeywords.Blend.value: {IniKeywords.Vb1.value: BlendDownloadData("Blend", FileDownload(f"{GithubDownloadFolder}/GI/KiraraBoots/4_8/KiraraBootsBlend.buf", f"KiraraBootsBlend{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "32"})},
                                           IniKeywords.Position.value: {IniKeywords.Vb0.value: DownloadData("Position", FileDownload(f"{GithubDownloadFolder}/GI/KiraraBoots/4_8/KiraraBootsPosition.buf", f"KiraraBootsPosition{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "40"})},
                                           IniKeywords.Texcoord.value: {IniKeywords.Vb1.value: DownloadData("Texcoord", FileDownload(f"{GithubDownloadFolder}/GI/KiraraBoots/4_8/KiraraBootsTexcoord.buf", f"KiraraBootsTexcoord{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": f"{TexcoordByteSizeData[4.8][ModTypeNames.KiraraBoots.value]}"})}},
          ModTypeNames.NilouBreeze.value: {"head": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/NilouBreeze/4_8/NilouBreezeHeadDiffuse.dds", f"NilouBreezeHeadDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                    "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GGI/NilouBreeze/4_8/NilouBreezeHeadLightMap.dds", f"NilouBreezeHeadLightMap{IniKeywords.RemapDL.value}.dds")),
                                                    IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/NilouBreeze/4_8/NilouBreezeHead.ib", f"NilouBreezeHead{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                           "body": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/NilouBreeze/4_8/NilouBreezeBodyDiffuse.dds", f"NilouBreezeBodyDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                    "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/NilouBreeze/4_8/NilouBreezeBodyLightMap.dds", f"NilouBreezeBodyLightMap{IniKeywords.RemapDL.value}.dds")),
                                                    IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/NilouBreeze/4_8/NilouBreezeBody.ib", f"NilouBreezeBody{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                           "dress": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/NilouBreeze/4_8/NilouBreezeDressDiffuse.dds", f"NilouBreezeDressDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                     "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/NilouBreeze/4_8/NilouBreezeDressLightMap.dds", f"NilouBreezeDressLightMap{IniKeywords.RemapDL.value}.dds")),
                                                     IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/NilouBreeze/4_8/NilouBreezeDress.ib", f"NilouBreezeDress{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                           IniKeywords.Blend.value: {IniKeywords.Vb1.value: BlendDownloadData("Blend", FileDownload(f"{GithubDownloadFolder}/GI/NilouBreeze/4_8/NilouBreezeBlend.buf", f"NilouBreezeBlend{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "32"})},
                                           IniKeywords.Position.value: {IniKeywords.Vb0.value: DownloadData("Position", FileDownload(f"{GithubDownloadFolder}/GI/NilouBreeze/4_8/NilouBreezePosition.buf", f"NilouBreezePosition{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "40"})},
                                           IniKeywords.Texcoord.value: {IniKeywords.Vb1.value: DownloadData("Texcoord", FileDownload(f"{GithubDownloadFolder}/GI/NilouBreeze/4_8/NilouBreezeTexcoord.buf", f"NilouBreezeTexcoord{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": f"{TexcoordByteSizeData[4.8][ModTypeNames.NilouBreeze.value]}"})}}},
    5.3: {ModTypeNames.CherryHuTao.value: {"head": {"ps-t1": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/CherryHuTao/5_3/CherryHuTaoHeadDiffuse.dds", f"CherryHuTaoHeadDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                    "ps-t2": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/CherryHuTao/5_3/CherryHuTaoHeadLightMap.dds", f"CherryHuTaoHeadLightMap{IniKeywords.RemapDL.value}.dds")),
                                                    IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/CherryHuTao/5_3/CherryHuTaoHead.ib", f"CherryHuTaoHead{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                           "body": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/CherryHuTao/5_3/CherryHuTaoBodyDiffuse.dds", f"CherryHuTaoBodyDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                    "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/CherryHuTao/5_3/CherryHuTaoBodyLightMap.dds", f"CherryHuTaoBodyLightMap{IniKeywords.RemapDL.value}.dds")),
                                                    IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/CherryHuTao/5_3/CherryHuTaoBody.ib", f"CherryHuTaoBody{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                           "dress": {"ps-t1": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/CherryHuTao/5_3/CherryHuTaoDressDiffuse.dds", f"CherryHuTaoDressDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                     "ps-t2": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/CherryHuTao/5_3/CherryHuTaoDressLightMap.dds", f"CherryHuTaoDressLightMap{IniKeywords.RemapDL.value}.dds")),
                                                     IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/CherryHuTao/5_3/CherryHuTaoDress.ib", f"CherryHuTaoDress{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                           "extra": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/CherryHuTao/5_3/CherryHuTaoExtraDiffuse.dds", f"CherryHuTaoExtraDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                     IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/CherryHuTao/5_3/CherryHuTaoExtra.ib", f"CherryHuTaoExtra{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                           IniKeywords.Blend.value: {IniKeywords.Vb1.value: BlendDownloadData("Blend", FileDownload(f"{GithubDownloadFolder}/GI/CherryHuTao/5_3/CherryHuTaoBlend.buf", f"CherryHuTaoBlend{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "32"})},
                                           IniKeywords.Position.value: {IniKeywords.Vb0.value: DownloadData("Position", FileDownload(f"{GithubDownloadFolder}/GI/CherryHuTao/5_3/CherryHuTaoPosition.buf", f"CherryHuTaoPosition{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "40"})},
                                           IniKeywords.Texcoord.value: {IniKeywords.Vb1.value: DownloadData("Texcoord", FileDownload(f"{GithubDownloadFolder}/GI/CherryHuTao/5_3/CherryHuTaoTexcoord.buf", f"CherryHuTaoTexcoord{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": f"{TexcoordByteSizeData[5.3][ModTypeNames.CherryHuTao.value]}"})}},
          ModTypeNames.XianglingCheer.value: {"head": {"ps-t1": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/XianglingCheer/5_3/XianglingCheerHeadDiffuse.dds", f"XianglingCheerHeadDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                       "ps-t2": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/XianglingCheer/5_3/XianglingCheerHeadLightMap.dds", f"XianglingCheerHeadLightMap{IniKeywords.RemapDL.value}.dds")),
                                                       IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/XianglingCheer/5_3/XianglingCheerHead.ib", f"XianglingCheerHead{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                              "body": {"ps-t1": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/XianglingCheer/5_3/XianglingCheerBodyDiffuse.dds", f"XianglingCheerBodyDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                       "ps-t2": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/XianglingCheer/5_3/XianglingCheerBodyLightMap.dds", f"XianglingCheerBodyLightMap{IniKeywords.RemapDL.value}.dds")),
                                                       IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/XianglingCheer/5_3/XianglingCheerBody.ib", f"XianglingCheerBody{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                              IniKeywords.Blend.value: {IniKeywords.Vb1.value: BlendDownloadData("Blend", FileDownload(f"{GithubDownloadFolder}/GI/XianglingCheer/5_3/XianglingCheerBlend.buf", f"XianglingCheerBlend{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "32"})},
                                              IniKeywords.Position.value: {IniKeywords.Vb0.value: DownloadData("Position", FileDownload(f"{GithubDownloadFolder}/GI/XianglingCheer/5_3/XianglingCheerPosition.buf", f"XianglingCheerPosition{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "40"})},
                                              IniKeywords.Texcoord.value: {IniKeywords.Vb1.value: DownloadData("Texcoord", FileDownload(f"{GithubDownloadFolder}/GI/XianglingCheer/5_3/XianglingCheerTexcoord.buf", f"XianglingCheerTexcoord{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": f"{TexcoordByteSizeData[5.3][ModTypeNames.XianglingCheer.value]}"})}}},
    5.4: {ModTypeNames.AyakaSpringbloom.value: {"head": {"ps-t1": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/AyakaSpringbloom/5_4/AyakaSpringBloomHeadDiffuse.dds", f"AyakaSpringBloomHeadDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                         "ps-t2": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/AyakaSpringbloom/5_4/AyakaSpringBloomHeadLightMap.dds", f"AyakaSpringBloomHeadLightMap{IniKeywords.RemapDL.value}.dds")),
                                                         IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/AyakaSpringbloom/5_4/AyakaSpringBloomHead.ib", f"AyakaSpringBloomHead{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                                "body": {"ps-t1": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/AyakaSpringbloom/5_4/AyakaSpringBloomBodyDiffuse.dds", f"AyakaSpringBloomBodyDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                         "ps-t2": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/AyakaSpringbloom/5_4/AyakaSpringBloomBodyLightMap.dds", f"AyakaSpringBloomBodyLightMap{IniKeywords.RemapDL.value}.dds")),
                                                         IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/AyakaSpringbloom/5_4/AyakaSpringBloomBody.ib", f"AyakaSpringBloomBody{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                                "dress": {"ps-t0": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/AyakaSpringbloom/5_4/AyakaSpringBloomDressDiffuse.dds", f"AyakaSpringBloomDressDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                          "ps-t1": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/AyakaSpringbloom/5_4/AyakaSpringBloomDressLightMap.dds", f"AyakaSpringBloomDressLightMap{IniKeywords.RemapDL.value}.dds")),
                                                          IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/AyakaSpringbloom/5_4/AyakaSpringBloomDress.ib", f"AyakaSpringBloomDress{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                                IniKeywords.Blend.value: {IniKeywords.Vb1.value: BlendDownloadData("Blend", FileDownload(f"{GithubDownloadFolder}/GI/AyakaSpringbloom/5_4/AyakaSpringBloomBlend.buf", f"AyakaSpringBloomBlend{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "32"})},
                                                IniKeywords.Position.value: {IniKeywords.Vb0.value: DownloadData("Position", FileDownload(f"{GithubDownloadFolder}/GI/AyakaSpringbloom/5_4/AyakaSpringBloomPosition.buf", f"AyakaSpringBloomPosition{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "40"})},
                                                IniKeywords.Texcoord.value: {IniKeywords.Vb1.value: DownloadData("Texcoord", FileDownload(f"{GithubDownloadFolder}/GI/AyakaSpringbloom/5_4/AyakaSpringBloomTexcoord.buf", f"AyakaSpringBloomTexcoord{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": f"{TexcoordByteSizeData[4.0][ModTypeNames.AyakaSpringbloom.value]}"})}},
          ModTypeNames.LisaStudent.value: {"head": {"ps-t1": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/LisaStudent/5_4/LisaStudentHeadDiffuse.dds", f"LisaStudentHeadDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                    "ps-t2": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/LisaStudent/5_4/LisaStudentHeadLightMap.dds", f"LisaStudentHeadLightMap{IniKeywords.RemapDL.value}.dds")),
                                                    IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/LisaStudent/5_4/LisaStudentHead.ib", f"LisaStudentHead{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                           "body": {"ps-t1": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/LisaStudent/5_4/LisaStudentBodyDiffuse.dds", f"LisaStudentBodyDiffuse{IniKeywords.RemapDL.value}.dds")),
                                                    "ps-t2": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/LisaStudent/5_4/LisaStudentBodyLightMap.dds", f"LisaStudentBodyLightMap{IniKeywords.RemapDL.value}.dds")),
                                                    IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/LisaStudent/5_4/LisaStudentBody.ib", f"LisaStudentBody{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                           IniKeywords.Blend.value: {IniKeywords.Vb1.value: BlendDownloadData("Blend", FileDownload(f"{GithubDownloadFolder}/GI/LisaStudent/5_4/LisaStudentBlend.buf", f"LisaStudentBlend{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "32"})},
                                           IniKeywords.Position.value: {IniKeywords.Vb0.value: DownloadData("Position", FileDownload(f"{GithubDownloadFolder}/GI/LisaStudent/5_4/LisaStudentPosition.buf", f"LisaStudentPosition{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "40"})},
                                           IniKeywords.Texcoord.value: {IniKeywords.Vb1.value: DownloadData("Texcoord", FileDownload(f"{GithubDownloadFolder}/GI/LisaStudent/5_4/LisaStudentTexcoord.buf", f"LisaStudentTexcoord{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": f"{TexcoordByteSizeData[4.0][ModTypeNames.LisaStudent.value]}"})}},
          ModTypeNames.Nilou.value: {"head": {"ps-t1": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Nilou/5_4/NilouHeadDiffuse.dds", f"NilouHeadDiffuse{IniKeywords.RemapDL.value}.dds")),
                                              "ps-t2": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Nilou/5_4/NilouHeadLightMap.dds", f"NilouHeadLightMap{IniKeywords.RemapDL.value}.dds")),
                                              IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Nilou/5_4/NilouHead.ib", f"NilouHead{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                     "body": {"ps-t1": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Nilou/5_4/NilouBodyDiffuse.dds", f"NilouBodyDiffuse{IniKeywords.RemapDL.value}.dds")),
                                              "ps-t2": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Nilou/5_4/NilouBodyLightMap.dds", f"NilouBodyLightMap{IniKeywords.RemapDL.value}.dds")),
                                              IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Nilou/5_4/NilouBody.ib", f"NilouBody{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                     "dress": {"ps-t1": DownloadData("Diffuse", FileDownload(f"{GithubDownloadFolder}/GI/Nilou/5_4/NilouDressDiffuse.dds", f"NilouDressDiffuse{IniKeywords.RemapDL.value}.dds")),
                                               "ps-t2": DownloadData("LightMap", FileDownload(f"{GithubDownloadFolder}/GI/Nilou/5_4/NilouDressLightMap.dds", f"NilouDressLightMap{IniKeywords.RemapDL.value}.dds")),
                                               IniKeywords.Ib.value: DownloadData("Ib", FileDownload(f"{GithubDownloadFolder}/GI/Nilou/5_4/NilouDress.ib", f"NilouDress{IniKeywords.RemapDL.value}.ib"), resourceKeys = {"type": "Buffer", "format": "DXGI_FORMAT_R32_UINT"})},
                                     IniKeywords.Blend.value: {IniKeywords.Vb1.value: BlendDownloadData("Blend", FileDownload(f"{GithubDownloadFolder}/GI/Nilou/5_4/NilouBlend.buf", f"NilouBlend{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "32"})},
                                     IniKeywords.Position.value: {IniKeywords.Vb0.value: DownloadData("Position", FileDownload(f"{GithubDownloadFolder}/GI/Nilou/5_4/NilouPosition.buf", f"NilouPosition{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": "40"})},
                                     IniKeywords.Texcoord.value: {IniKeywords.Vb1.value: DownloadData("Texcoord", FileDownload(f"{GithubDownloadFolder}/GI/Nilou/5_4/NilouTexcoord.buf", f"NilouTexcoord{IniKeywords.RemapDL.value}.buf"), resourceKeys = {"type": "Buffer", "stride": f"{TexcoordByteSizeData[4.0][ModTypeNames.Nilou.value]}"})}}}
}
##### EndScript